Subject: Re: [PATCH] doc: replace jargon word "impact" with "effect"/"affect"

From: Felipe Contreras <[email-masked]>
Date: Wed, 12 May 2021 14:42:16 -0500

Michal Suchánek wrote:
> On Wed, May 12, 2021 at 12:32:16PM -0500, Felipe Contreras wrote:
> > Michal Suchánek wrote:
> > > Yes, I am not opposed to the change in principle.
> > 
> > Good, so you accept you see nothing wrong with "affect".
> > 
> > > You just failed to provide any valid reason.
> > 
> > *In your opinion*.
> > 
> > In my opinion the problems with the word "impact" have been clearly
> > explained.
> 
> However, you only brought your personal opinion for the case that
> 'impact' is somehow wrong and should be changed.

No I didn't. I used dictionary definitions to explain why it's wrong to
use it the way git uses both as a noun and a transitive verb.

> 'impact' and 'affect' are equally good based on the past discussion so
> you will not bring change based on the 'badness' of 'impact'.

That is your opinion, and its not shared by everyone.

It's extremely disingenious to elevate your opinion as fact, especially
when this is precisely the thing we are discussing.

> You claim that people who do not want to change 'impact' ignore your
> opinion.

No I don't.

I clam *you* pretend other opinions don't even exist.

> Don't you equally ignore the opinion of people who think 'impact' is
> fine by insisting that the wording be changed based solely on your
> opinion?

No, unlike you I acknowledge there's other people with different
opinions.

However, that opinion is that "impact" is fine, *not* that "affect" is
bad.

If you and your wife are deciding what to eat for dinner, and you have
two opinions:

  1. Whatever is fine
  2. I really would like pizza

What do you think you should order?

-- 
Felipe Contreras